curl -X POST https://snip.sa/api/urls/bulk-delete \
-H "Content-Type: application/json" \
-H "X-API-Key: your_api_key_here" \
-d '{
"ids": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012",
"507f1f77bcf86cd799439013"
]
}'
const response = await axios.post(
'https://snip.sa/api/urls/bulk-delete',
{
ids: [
'507f1f77bcf86cd799439011',
'507f1f77bcf86cd799439012',
'507f1f77bcf86cd799439013'
]
},
{
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'your_api_key_here'
}
}
);
response = requests.post(
'https://snip.sa/api/urls/bulk-delete',
headers={
'Content-Type': 'application/json',
'X-API-Key': 'your_api_key_here'
},
json={
'ids': [
'507f1f77bcf86cd799439011',
'507f1f77bcf86cd799439012',
'507f1f77bcf86cd799439013'
]
}
)
{
"success": true,
"message": "3 URLs deleted successfully"
}
URLs
Bulk Delete URLs
Delete multiple URLs at once
POST
/
api
/
urls
/
bulk-delete
curl -X POST https://snip.sa/api/urls/bulk-delete \
-H "Content-Type: application/json" \
-H "X-API-Key: your_api_key_here" \
-d '{
"ids": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012",
"507f1f77bcf86cd799439013"
]
}'
const response = await axios.post(
'https://snip.sa/api/urls/bulk-delete',
{
ids: [
'507f1f77bcf86cd799439011',
'507f1f77bcf86cd799439012',
'507f1f77bcf86cd799439013'
]
},
{
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'your_api_key_here'
}
}
);
response = requests.post(
'https://snip.sa/api/urls/bulk-delete',
headers={
'Content-Type': 'application/json',
'X-API-Key': 'your_api_key_here'
},
json={
'ids': [
'507f1f77bcf86cd799439011',
'507f1f77bcf86cd799439012',
'507f1f77bcf86cd799439013'
]
}
)
{
"success": true,
"message": "3 URLs deleted successfully"
}
This feature requires the
bulk_operations permission (Pro/Enterprise plans).Request Body
Array of URL IDs to delete
This action is permanent and cannot be undone.
curl -X POST https://snip.sa/api/urls/bulk-delete \
-H "Content-Type: application/json" \
-H "X-API-Key: your_api_key_here" \
-d '{
"ids": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012",
"507f1f77bcf86cd799439013"
]
}'
const response = await axios.post(
'https://snip.sa/api/urls/bulk-delete',
{
ids: [
'507f1f77bcf86cd799439011',
'507f1f77bcf86cd799439012',
'507f1f77bcf86cd799439013'
]
},
{
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'your_api_key_here'
}
}
);
response = requests.post(
'https://snip.sa/api/urls/bulk-delete',
headers={
'Content-Type': 'application/json',
'X-API-Key': 'your_api_key_here'
},
json={
'ids': [
'507f1f77bcf86cd799439011',
'507f1f77bcf86cd799439012',
'507f1f77bcf86cd799439013'
]
}
)
{
"success": true,
"message": "3 URLs deleted successfully"
}
⌘I
